Migrate Elasticsearch resource to use SLM
Server:
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-slm
Migrates the specified Elasticsearch resource to use SLM.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
validate_onlyboolean · default: false When
true, does not enable SLM but returns warnings if any applications may lose availability during SLM migration.
Responses
Standard response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response